Subject: Re: linux-next: Fixes tag needs some work in the drivers-x86 tree

From: Hans de Goede <[email-masked]>
Date: Mon, 30 Nov 2020 08:43:21 +0100

Hi Stephen,

On 11/29/20 6:43 PM, Stephen Rothwell wrote:
> Hi all,
> 
> In commit
> 
>   912b341585e3 ("platform/x86: mlx-platform: Remove PSU EEPROM from MSN274x platform configuration")
> 
> Fixes tag
> 
>   Fixes: ef08e14a3 ("platform/x86: mlx-platform: Add support for new msn274x system type")
> 
> has these problem(s):
> 
>   - SHA1 should be at least 12 digits long
> 
> In commit
> 
>   2bf5046bdb64 ("platform/x86: mlx-platform: Remove PSU EEPROM from default platform configuration")
> 
> Fixes tags
> 
>   Fixes: c6acad68e ("platform/mellanox: mlxreg-hotplug: Modify to use a regmap interface")
>   Fixes: ba814fdd0 ("platform/x86: mlx-platform: Use defines for bus assignment")
> 
> have these problem(s):
> 
>   - SHA1 should be at least 12 digits long

Hmm, for some reason checkpatch did not catch these, while AFAIK it will complain
about short hashes in the normal part of the commit msg.

Question, how important is it to fix these ? I normally never do forced pushes
to the for-next branch. But if this is considered important to fix I guess I
can make an exception.

> These can be fixed in the future by setting core.abbrev to 12 (or more)
> or (for git v2.11 or later) just making sure it is not set (or set to
> "auto").

Will git rewrite the commit msg when this is set ?  I'm at 2.28 and don't
have core.abbrev set. But I guess this needs to be set in the gitconfig
of the creator of the patch; and this has no impact on "git am" ?

Regards,

Hans